AstrologyAPI

Use access token to call astrology api.

Learn More

Partner Report

POSThttps://json.astrologyapi.com/v1/partner_report
Copy

get partner report in detail.

POST/partner_report
Copy
1curl --location 'https://json.astrologyapi.com/v1/partner_report' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "you_date": 27,
6    "you_month": 6,
7    "you_year": 2000,
8    "you_gender": "male",
9    "match_date": 26,
10    "match_month": 9,
11    "match_year": 1995,
12    "match_gender": "female",
13    "match_name": "Jessica"
14}'
15
200Response
Copy
1{
2  "title": "You and Sofia share similar vibrations and attractions.",
3  "msg": "Your presence makes a big difference to the other. You are emotionally sympathetic and understanding toward each other. You both have a strong desire for transforming the relationship in some way that is beneficial for both. The relationship will be interesting and long lasting.",
4  "tags": ""
5}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

you_date

int

required

Your birth day, eg: 27

you_month

int

required

Your birth month, eg: 6

you_year

int

required

Your birth year, eg: 2000

you_gender

string

required

Your gender, eg: male

match_date

int

required

Match's birth day, eg: 26

match_month

int

required

Match's birth month, eg: 9

match_year

int

required

Match's birth year, eg: 1995

match_gender

string

required

Match's gender, eg: female

match_name

string

required

Match's name, eg: Jessica

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.